Control Message Interface
Get all control ids matched by the query
GET/api/v6.3.5.5/hubs/{hub}/channels/{channel}/controls
| Query parameters | Prototype:
'task_name' ?: 'cap' | 'integ'
'loc_name' ?: ( + )
'ctrl_name' ?:
'ctrl_id' ?: ( + )
|
| Request headers | None |
| Request body | None |
| Response headers | Prototype:
|
| Response body (JSON) | Prototype:
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: not found hub or channel |
| Required permissions | read access on hub |
Get the control associated with the id
GET/api/v6.3.5.5/hubs/{hub}/channels/{channel}/controls/{ctrl_id}
| Query parameters | None |
| Request headers | None |
| Request body | None |
| Response headers | Prototype:
|
| Response body (JSON) | Prototype:
'task_name' : 'cap' | 'integ'
'loc_name' :
'ctrl_name' :
'filters' ?: (
{
'tables' ?: ( + )
'where' ?: (
{
'col' :
'op' : '='
| '!='
| '<>'
| '>'
| '<'
| '>='
| '<='
| '>>'
| '<<'
| '%='
'val_str' ?: ( + )
'val_int' ?: ( + )
'val_date' ?: ( + )
'val_len' ?: ( + )
}*
)
'force_failed_rows' ?:
'resilient' ?:
'skip_rows' ?:
'isolate' ?: ev_id
'set_missing_cols' ?: ( col* )
'breakpoint_control' ?:
}*
)
'eval' ?:
'expiry_date' ?:
'recv_expiry' ?:
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: not found hub or channel or control |
| Required permissions | read access on hub |
Delete all the controls matched.
POST/api/v6.3.5.5/hubs/{hub}/channels/{channel}/controls_delete
| Query parameters | None |
| Request headers | None |
| Request body (JSON) | Prototype:
|
| Response headers | None |
| Response body | None |
| Status codes | ✅ 200 OK ❌ 400 Bad Request ❌ 404 Not Found: The control does not exist. |
| Required permissions | exec_jobs access on hub |
| Events | Control_Delete
'chn_name' :
'ctrl_ids' : ( + )
|
Send a new control file
POST/api/v6.3.5.5/hubs/{hub}/channels/{channel}/locs/{loc}/tasks/{task}/controls
| Query parameters | None |
| Request headers | None |
| Request body (JSON) | Prototype:
'ctrl_name' ?:
'filters' ?: (
{
'tables' ?: ( + )
'where' ?: (
{
'col' :
'op' : '='
| '!='
| '<>'
| '>'
| '<'
| '>='
| '<='
| '>>'
| '<<'
| '%='
'val_str' ?: ( + )
'val_int' ?: ( + )
'val_date' ?: ( + )
'val_len' ?: ( + )
}*
)
'force_failed_rows' ?:
'resilient' ?:
'skip_rows' ?:
'isolate' ?: ev_id
'set_missing_cols' ?: ( col+ )
}*
)
'set_env' ?: (
{
'name' :
'value' :
}*
)
'journaling' ?:
'finish_after_cycle' ?:
'expiry_date' ?:
'recv_expiry' ?:
|
| Response headers | None |
| Response body (JSON) | Prototype:
|
| Status codes | ✅ 200 OK ❌ 400 Bad Request |
| Required permissions | write_channels access on hub |
| Events | Control_Send
'chn_name' :
'task_name' : 'cap' | 'integ'
'loc_name' :
'ctrl_name' :
'filters' ?: (
{
'tables' ?: ( + )
'where' ?: (
{
'col' :
'op' : '='
| '!='
| '<>'
| '>'
| '<'
| '>='
| '<='
| '>>'
| '<<'
| '%='
'val_str' ?: ( + )
'val_int' ?: ( + )
'val_date' ?: ( + )
'val_len' ?: ( + )
}*
)
'force_failed_rows' ?:
'resilient' ?:
'skip_rows' ?:
'isolate' ?: ev_id
'set_missing_cols' ?: ( col+ )
}*
)
'set_env' ?: (
{
'name' :
'value' :
}*
)
'journaling' ?:
'finish_after_cycle' ?:
'expiry_date' ?:
'recv_expiry' ?:
'ctrl_id' :
|